@import url(fonts.css);
* {
  font-family: Montserrat, "Microsoft YaHei", Arial, sans-serif !important;
}

body:after {
  content: '';
  width: 100%;
  height: 50%;
  background-image: radial-gradient(100% 70% at top right, rgba(193, 219, 255, 0.5), rgba(255, 255, 255, 0.5));
  position: absolute;
  right: 0;
  top: 0;
  z-index: 0;
}
body:before {
  content: '';
  width: 100%;
  height: 50%;
  background-image: radial-gradient(100% 70% at bottom left, rgba(193, 219, 255, 0.5), rgba(255, 255, 255, 0.5));
  position: absolute;
  left: 0;
  bottom: 0;
  z-index: 0;
}

.login-body {
  background-color: #fff;
  width: 100%;
  height: 100%;
  overflow: hidden;
}

.login-page-header {
  width: 100%;
  margin: 0 auto;
  padding: 30px 0 80px;
  margin-bottom: 20px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  position: relative;
}
.login-page-header .logo {
  height: 60px;
  flex: none;
}
.login-page-header .logo img {
  height: 100%;
  width: auto;
}
.login-page-header .welcome {
  font-size: 12px;
  color: #999;
}
.login-page-header .welcome .link {
  color: #2546A1;
}
.login-page-header .change-lang {
  position: absolute;
  right: 0;
  bottom: 0;
}
.login-page-header .change-lang .dropdown-toggle {
  min-width: 80px;
  height: 32px;
  padding: 0 20px;
  border-radius: 10px;
  background-color: #fff;
  display: inline-flex;
  align-items: center;
  justify-content: space-between;
}

.login-page-footer {
  background-color: #ecf1f7;
  height: 50px;
  padding: 0 30px;
  display: flex;
  align-items: center;
  justify-content: center;
}

.login-page {
  width: 100%;
  height: 100%;
  background-repeat: no-repeat;
  background-position: center center;
  background-size: auto 100%;
  position: relative;
  z-index: 9;
}
.login-page .container {
  height: 100%;
  overflow: hidden;
}
.login-page.tdd {
  background-image: url("/static/home/images/tdd/login_bg.jpg");
}
.login-page .page-content {
  margin: 0 auto;
  display: flex;
  justify-content: space-between;
  position: relative;
  width: 1000px;
  border-radius: 16px;
  z-index: 9;
  overflow: hidden;
  background-color: #fff;
  box-shadow: 0 5px 10px rgba(0, 0, 0, 0.1);
  -webkit-box-shadow: 0 5px 10px rgba(0, 0, 0, 0.1);
}
.login-page .page-content .web-wrap {
  width: 400px;
  background-color: #176e46;
  color: #fff;
  background-image: url(/static/home/images/pak/login.jpg);
  background-repeat: no-repeat;
  background-position: center center;
  background-size: 100% auto;
  padding: 50px 30px;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}
.login-page .page-content .web-wrap .web-name .name {
  font-size: 24px;
  font-weight: 700;
}
.login-page .page-content .web-wrap .web-name .slogan {
  font-size: 14px;
  color: #fff;
  margin-top: 10px;
}
.login-page .page-content .web-wrap .copyright {
  font-size: 12px;
  text-align: center;
}
.login-page .page-content .form-box {
  flex: auto;
  min-width: 0;
  width: 420px;
  padding: 20px 10px;
  background-color: rgba(255, 255, 255, 0.5);
  box-shadow: 0 5px 10px rgba(0, 0, 0, 0.1);
  -webkit-box-shadow: 0 5px 10px rgba(0, 0, 0, 0.1);
  position: relative;
}
.login-page .page-content .form-box .form-login {
  position: relative;
  z-index: 1;
}
.login-page .page-content .form-box .form-footer {
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 0;
  margin-top: 30px;
  background: #EDF2FF;
  border-radius: 8px;
  box-shadow: 0 5px 10px rgba(0, 0, 0, 0.1);
  -webkit-box-shadow: 0 5px 10px rgba(0, 0, 0, 0.1);
}
.login-page .page-content .form-box .form-footer .no-tips {
  color: var(--main-color);
  padding: 0 10px;
  display: inline-flex;
  align-items: center;
  line-height: 1;
}
.login-page .page-content .form-box .form-footer .no-tips:before {
  content: '';
  width: 18px;
  height: 18px;
  background-image: url("/static/home/images/tdd/tips.png");
  background-repeat: no-repeat;
  background-position: center center;
  background-size: cover;
}
.login-page .page-content .form-box .form-footer .join-btn {
  color: var(--main-color);
  font-size: 12px;
  font-weight: 600;
  height: 32px;
  padding: 0 20px;
  background-color: #fff;
  border-radius: 8px;
  display: inline-flex;
  align-items: center;
  flex: none;
}
.login-page .page-content .form-box .login-type-tabs {
  width: 100%;
  height: 50px;
  padding: 5px;
  border-radius: 8px;
  background-color: #fff;
  box-shadow: 0 5px 10px rgba(0, 0, 0, 0.1);
  -webkit-box-shadow: 0 5px 10px rgba(0, 0, 0, 0.1);
  margin-bottom: 15px;
  display: flex;
  align-items: center;
  justify-content: space-between;
}
.login-page .page-content .form-box .login-type-tabs .item {
  display: inline-flex;
  flex: 1;
  height: 100%;
  font-size: 14px;
  align-items: center;
  justify-content: center;
  color: #333;
}
.login-page .page-content .form-box .login-type-tabs .item.active {
  background: #F1F5FF;
  border: 1px solid var(--main-color);
  border-radius: 8px;
  color: var(--main-color);
  font-weight: bold;
}
.login-page .page-content .form-box .input-code-item {
  position: relative;
}
.login-page .page-content .form-box .input-code-item .form-control {
  width: 100%;
  padding-right: 150px;
}
.login-page .page-content .form-box .input-code-item .send-btn {
  position: absolute;
  right: 2px;
  top: 2px;
  height: calc(100% - 4px);
  background-color: #E0E8FD;
  border-radius: 8px;
  color: var(--main-color);
  border: none;
}
.login-page .page-content.register-content .form-box {
  width: 800px;
  padding: 25px 10px 50px;
  background: #fff;
  position: relative;
  margin: 0 auto;
}

.register-content .form-box {
  flex: none;
  width: 500px;
  padding: 25px 10px 50px;
  background: #fff;
  position: relative;
}
.register-content .form-box .register-step-box {
  margin-bottom: 20px;
}
.register-content .form-box .register-step-box .item {
  font-size: 14px;
  text-align: center;
  color: #999;
  padding: 10px;
  position: relative;
}
.register-content .form-box .register-step-box .item .icon {
  width: 32px;
  height: 32px;
  border-radius: 50%;
  border: 1px solid #d8d8d8;
  margin: 0 auto 10px;
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 14px;
}
.register-content .form-box .register-step-box .item:after, .register-content .form-box .register-step-box .item:before {
  content: '';
  width: calc(50% - 16px);
  height: 0;
  border-top: 2px solid #d8d8d8;
  position: absolute;
  left: 0;
  top: 26px;
}
.register-content .form-box .register-step-box .item:before {
  left: auto;
  right: 0;
}
.register-content .form-box .register-step-box .item:first-child:after {
  display: none;
}
.register-content .form-box .register-step-box .item:last-child:before {
  display: none;
}
.register-content .form-box .register-step-box.step-1 .item:nth-child(-n + 1) .icon {
  background-color: #294a9f;
  color: #fff;
}
.register-content .form-box .register-step-box.step-1 .item:nth-child(-n + 1):after, .register-content .form-box .register-step-box.step-1 .item:nth-child(-n + 1):before {
  border-color: #294a9f;
}
.register-content .form-box .register-step-box.step-2 .item:nth-child(-n + 2) .icon {
  background-color: #294a9f;
  color: #fff;
}
.register-content .form-box .register-step-box.step-2 .item:nth-child(-n + 2):after, .register-content .form-box .register-step-box.step-2 .item:nth-child(-n + 2):before {
  border-color: #294a9f;
}
.register-content .form-box .register-step-box.step-3 .item:nth-child(-n + 3) .icon {
  background-color: #294a9f;
  color: #fff;
}
.register-content .form-box .register-step-box.step-3 .item:nth-child(-n + 3):after, .register-content .form-box .register-step-box.step-3 .item:nth-child(-n + 3):before {
  border-color: #294a9f;
}
.register-content .form-box .register-step-box.step-4 .item:nth-child(-n + 4) .icon {
  background-color: #294a9f;
  color: #fff;
}
.register-content .form-box .register-step-box.step-4 .item:nth-child(-n + 4):after, .register-content .form-box .register-step-box.step-4 .item:nth-child(-n + 4):before {
  border-color: #294a9f;
}
.register-content .form-box .register-step-box.step-5 .item:nth-child(-n + 5) .icon {
  background-color: #294a9f;
  color: #fff;
}
.register-content .form-box .register-step-box.step-5 .item:nth-child(-n + 5):after, .register-content .form-box .register-step-box.step-5 .item:nth-child(-n + 5):before {
  border-color: #294a9f;
}
.register-content .form-box .register-step-box.step-6 .item:nth-child(-n + 6) .icon {
  background-color: #294a9f;
  color: #fff;
}
.register-content .form-box .register-step-box.step-6 .item:nth-child(-n + 6):after, .register-content .form-box .register-step-box.step-6 .item:nth-child(-n + 6):before {
  border-color: #294a9f;
}
.register-content .form-box .register-step-box.step-7 .item:nth-child(-n + 7) .icon {
  background-color: #294a9f;
  color: #fff;
}
.register-content .form-box .register-step-box.step-7 .item:nth-child(-n + 7):after, .register-content .form-box .register-step-box.step-7 .item:nth-child(-n + 7):before {
  border-color: #294a9f;
}
.register-content .form-box .register-step-box.step-8 .item:nth-child(-n + 8) .icon {
  background-color: #294a9f;
  color: #fff;
}
.register-content .form-box .register-step-box.step-8 .item:nth-child(-n + 8):after, .register-content .form-box .register-step-box.step-8 .item:nth-child(-n + 8):before {
  border-color: #294a9f;
}
.register-content .form-box .register-step-box.step-9 .item:nth-child(-n + 9) .icon {
  background-color: #294a9f;
  color: #fff;
}
.register-content .form-box .register-step-box.step-9 .item:nth-child(-n + 9):after, .register-content .form-box .register-step-box.step-9 .item:nth-child(-n + 9):before {
  border-color: #294a9f;
}
.register-content .form-box .register-step-box.step-10 .item:nth-child(-n + 10) .icon {
  background-color: #294a9f;
  color: #fff;
}
.register-content .form-box .register-step-box.step-10 .item:nth-child(-n + 10):after, .register-content .form-box .register-step-box.step-10 .item:nth-child(-n + 10):before {
  border-color: #294a9f;
}
.register-content .form-box .Verification-code-title {
  font-size: 16px;
  line-height: 24px;
  margin-bottom: 10px;
  text-align: left;
}
.register-content .form-box .Verification-code-title .send-email {
  color: #294a9f;
}
.register-content .form-box .Verification-code-desc {
  font-size: 12px;
  color: #999;
  line-height: 18px;
  margin-bottom: 10px;
}
.register-content .form-box .disc-ul {
  padding-left: 20px;
}
.register-content .form-box .disc-ul li {
  list-style: disc;
  font-size: 12px;
  color: #888;
  margin-bottom: 8px;
  line-height: 18px;
}
.register-content .form-box .disc-ul li .link {
  color: #294a9f;
}
.register-content .form-box .form-footer {
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  padding: 20px;
  font-size: 12px;
}
.register-content .form-box .form-footer .link {
  color: #294a9f;
}

.guide-reg-form .form-header {
  display: flex;
  align-items: center;
  justify-content: space-between;
  background: none;
  border: none;
  padding: 0 10px;
}
.guide-reg-form .form-header .form-title {
  font-size: 16px;
  font-weight: 600;
  margin-left: 10px;
  flex: auto;
  min-width: 0;
}
.guide-reg-form .form-header .sign {
  flex: none;
  font-size: 12px;
}
.guide-reg-form .form-header .close {
  flex: none;
  margin-left: 5px;
  color: #333;
  display: none;
}
.guide-reg-form .form-header .close.show {
  display: flex;
  width: 40px;
  height: 40px;
  align-items: center;
  justify-content: center;
}
.guide-reg-form .reg-type-tabs {
  width: 100%;
  height: 42px;
  border-radius: 8px;
  background: #F3F4F6;
  margin-bottom: 15px;
  display: flex;
  align-items: center;
  justify-content: space-between;
}
.guide-reg-form .reg-type-tabs .item {
  display: inline-flex;
  flex: 1;
  height: 100%;
  font-size: 14px;
  align-items: center;
  justify-content: center;
  color: #333;
}
.guide-reg-form .reg-type-tabs .item .global-iconfont {
  font-weight: 500;
  font-size: 18px;
  margin-right: 5px;
}
.guide-reg-form .reg-type-tabs .item.active {
  background: var(--main-color);
  border-radius: 8px;
  color: #fff;
  font-weight: bold;
}
.guide-reg-form .reg-type-tabs.whatsapp .active {
  background: #009F3B;
}
.guide-reg-form .form-item {
  padding: 0;
  position: relative;
  margin-bottom: 20px;
}
.guide-reg-form .form-item .label {
  font-size: 12px;
  color: #999;
  padding: 10px 0;
  display: flex;
  align-items: center;
}
.guide-reg-form .form-item .label .icon {
  width: 18px;
  height: 18px;
  margin: 0 5px;
  background-repeat: no-repeat;
  background-position: center center;
  background-size: cover;
}
.guide-reg-form .form-item .label .icon.icon-phone {
  background-image: url("/static/home/images/tdd/phone.png");
}
.guide-reg-form .form-item .label .icon.icon-map {
  background-image: url("/static/home/images/tdd/map.png");
}
.guide-reg-form .form-item .label .icon.icon-user {
  background-image: url("/static/home/images/tdd/user.png");
}
.guide-reg-form .form-item .label .icon.icon-company {
  background-image: url("/static/home/images/tdd/company.png");
}
.guide-reg-form .form-item .label .label-name {
  flex: none;
  display: flex;
  align-items: center;
  color: #333;
  position: relative;
  font-size: 14px;
  letter-spacing: 0;
  font-weight: 400;
}
.guide-reg-form .form-item .label .error-msg {
  flex: auto;
  color: #ff0000;
  text-align: right;
}
.guide-reg-form .form-item .label.required .label-name:before {
  content: '*';
  font-size: 12px;
  color: #ff0000;
}
.guide-reg-form .form-item .check-box .form-check-input {
  display: inline-block;
  margin-right: 5px;
}
.guide-reg-form .form-item .check-box .form-check-label {
  display: inline;
  font-size: 12px;
  color: #999;
  line-height: 18px;
  text-align: justify;
}
.guide-reg-form .form-item .check-box .form-check-label .link {
  color: var(--main-color);
}
.guide-reg-form .form-item .btn {
  min-width: 100px;
}
.guide-reg-form .form-item .verify-code {
  display: flex;
}
.guide-reg-form .form-item .verify-code .code-input-item {
  flex: none;
  margin-right: 10px;
  width: 40px;
  height: 40px;
}
.guide-reg-form .form-item .verify-code .code-input-item input {
  width: 100%;
  height: 100%;
  border: 1px solid #d2d2d2;
  border-radius: 3.5px;
  outline: 0;
  text-align: center;
  box-sizing: border-box;
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  font-size: 16px;
  font-weight: 600;
  color: #333;
}
.guide-reg-form .form-item .input-item {
  position: relative;
}
.guide-reg-form .form-item .input-item .error-msg {
  color: #999;
  font-size: 12px;
  line-height: 14px;
  position: absolute;
  bottom: -3px;
  left: 0;
  transform: translateY(100%);
}
.guide-reg-form .form-item.has-error .check-box .form-check-label {
  color: #ff0000;
}
.guide-reg-form .form-item.has-error .verify-code .code-input-item input {
  border-color: #ff0000;
}
.guide-reg-form .form-item.has-error .input-item {
  position: relative;
}
.guide-reg-form .form-item.has-error .input-item .error-msg {
  color: #ff0000;
}
.guide-reg-form .form-item .item-input {
  position: relative;
  min-height: 40px;
}
.guide-reg-form .form-item .mail-guess {
  position: absolute;
  z-index: 10;
  border: 1px solid #ced3d9;
  background: #fff;
  bottom: 0;
  transform: translateY(100%);
  left: 0;
  padding: 5px 0;
  width: 100%;
  box-sizing: border-box;
  max-height: 200px;
  overflow: auto;
}
.guide-reg-form .form-item .mail-guess li {
  cursor: pointer;
  box-sizing: border-box;
  padding: 5px 10px;
  font-size: 14px;
  line-height: 21px;
  color: #555;
}
.guide-reg-form .form-item .mail-guess li.hover {
  background: #e2eaf5;
}
.guide-reg-form .action-bar {
  display: flex;
  align-items: center;
  justify-content: space-between;
  margin: 15px auto;
}
.guide-reg-form .action-bar .action-item {
  display: inline-flex;
  font-size: 12px;
  color: var(--main-color);
  line-height: 30px;
  flex: none;
}
.guide-reg-form .action-bar .action-item.disabled {
  opacity: 0.5;
}
.guide-reg-form .send-tips {
  margin: 20px 0;
  padding: 15px 15px 15px 35px;
  background: #F1F7FF;
  border-radius: 8px;
  font-size: 12px;
  color: var(--main-color);
  letter-spacing: 0;
  line-height: 18px;
  font-weight: 400;
  position: relative;
}
.guide-reg-form .send-tips:before {
  content: '';
  position: absolute;
  left: 10px;
  top: 15px;
  width: 18px;
  height: 18px;
  background-image: url("/static/home/images/tdd/tips.png");
  background-repeat: no-repeat;
  background-position: center center;
  background-size: cover;
}
.guide-reg-form .reg-success {
  padding: 15px;
}
.guide-reg-form .reg-success .avatar {
  width: 86px;
  height: 86px;
  border-radius: 50%;
  margin: 20px auto;
  background-repeat: no-repeat;
  background-position: center center;
  background-size: cover;
  background-image: url("/static/home/images/tdd/avatar.png");
}
.guide-reg-form .reg-success .welcome {
  font-size: 16px;
  color: #333;
  letter-spacing: 0;
  text-align: center;
  font-weight: 700;
  text-align: center;
}
.guide-reg-form .reg-success .welcome-desc {
  font-size: 14px;
  color: #333;
  letter-spacing: 0;
  font-weight: 400;
  text-align: center;
}
.guide-reg-form .reg-success .tips {
  padding: 20px;
  font-size: 12px;
  color: #999;
  letter-spacing: 0;
  line-height: 18px;
  font-weight: 400;
  text-align: center;
}
.guide-reg-form .reg-success .btn-main {
  display: block;
  width: 100%;
  height: 42px;
}
.guide-reg-form .complete-reg-box {
  padding: 60px 15px 0;
  height: 100%;
}
.guide-reg-form .complete-form-box {
  padding: 15px 15px 0;
  margin: 0 10px;
  background-color: #fff;
  border-radius: 16px;
  box-shadow: 0 5px 10px rgba(0, 0, 0, 0.1);
  -webkit-box-shadow: 0 5px 10px rgba(0, 0, 0, 0.1);
  position: relative;
  z-index: 1;
}
.guide-reg-form .complete-form-box .header .avatar {
  width: 60px;
  height: 60px;
  border-radius: 50%;
  margin: 0 auto 10px;
  background-repeat: no-repeat;
  background-position: center center;
  background-size: cover;
  background-image: url("/static/home/images/tdd/edit_avatar.png");
}
.guide-reg-form .complete-form-box .header .title {
  font-size: 16px;
  color: #333;
  letter-spacing: 0;
  text-align: center;
  font-weight: 700;
  text-align: center;
  text-transform: uppercase;
}
.guide-reg-form .complete-form-box .header .desc {
  font-size: 14px;
  line-height: 20px;
  color: #333;
  letter-spacing: 0;
  font-weight: 400;
  text-align: center;
}
.guide-reg-form .complete-form-box .form-item {
  margin-bottom: 10px;
}
.guide-reg-form .interest-box {
  padding: 15px;
}
.guide-reg-form .interest-content {
  padding: 0 15px;
  position: relative;
  z-index: 1;
}
.guide-reg-form .interest-content .header {
  margin-bottom: 15px;
}
.guide-reg-form .interest-content .header .avatar {
  width: 60px;
  height: 60px;
  border-radius: 50%;
  margin: 0 auto 10px;
  background-repeat: no-repeat;
  background-position: center center;
  background-size: cover;
  background-image: url("/static/home/images/tdd/default_avatar.png");
}
.guide-reg-form .interest-content .header .title {
  font-size: 16px;
  color: #333;
  letter-spacing: 0;
  text-align: center;
  font-weight: 700;
  text-align: center;
  text-transform: uppercase;
}
.guide-reg-form .interest-content .header .desc {
  font-size: 14px;
  line-height: 20px;
  color: #333;
  letter-spacing: 0;
  font-weight: 400;
  text-align: center;
}
.guide-reg-form .interest-content .action-box {
  margin: 20px auto;
}
.guide-reg-form .category-item {
  border-radius: 16px;
  background-color: #fff;
  padding: 1px;
  margin-bottom: 10px;
  overflow: hidden;
  position: relative;
  box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
}
.guide-reg-form .category-item .img {
  width: 100%;
  height: 0;
  padding-bottom: 30%;
  position: relative;
  z-index: 1;
}
.guide-reg-form .category-item .img img {
  width: 100%;
  height: 100%;
  position: absolute;
  left: 0;
  top: 0;
  object-fit: cover;
  z-index: 0;
}
.guide-reg-form .category-item .img:after {
  content: '';
  width: 100%;
  height: 20px;
  background-image: linear-gradient(to bottom, rgba(255, 255, 255, 0), white);
  position: absolute;
  left: 0;
  bottom: 0;
  z-index: 1;
}
.guide-reg-form .category-item .tit {
  padding: 8px;
  font-size: 14px;
  color: #2E2C39;
  letter-spacing: 0;
  text-align: center;
  line-height: 16px;
  height: 48px;
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 2 !important;
  overflow: hidden;
  font-weight: 600;
  text-align: center;
  position: relative;
  z-index: 1;
}
.guide-reg-form .category-item:after {
  content: "";
  display: block;
  width: calc(100% - 2px);
  height: calc(100% - 2px);
  background-color: #fff;
  position: absolute;
  left: 1px;
  top: 1px;
  border-radius: 16px;
  z-index: 0;
}
.guide-reg-form .category-item.selected {
  background-image: linear-gradient(to bottom, #99B3FF, #FF83D8, #7D9DF9);
}
.guide-reg-form .category-item.selected:before {
  content: '\e618';
  width: 30px;
  height: 20px;
  background-color: var(--main-color);
  border-radius: 0 16px 0 8px;
  position: absolute;
  right: 0;
  top: 0;
  z-index: 9;
  font-family: "global-iconfont" !important;
  font-size: 16px;
  color: #fff;
  display: flex;
  align-items: center;
  justify-content: center;
  font-style: normal;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}
.guide-reg-form .back {
  width: 30px;
  height: 30px;
  border-radius: 8px;
  background-color: #fff;
  box-shadow: 0 5px 10px rgba(0, 0, 0, 0.1);
  -webkit-box-shadow: 0 5px 10px rgba(0, 0, 0, 0.1);
  position: fixed;
  left: 15px;
  top: 15px;
  display: flex;
  align-items: center;
  justify-content: center;
  color: #333;
}
.guide-reg-form .skip {
  display: block;
  padding: 15px;
  text-align: center;
  font-size: 14px;
  font-weight: 600;
  color: var(--main-color);
}
.guide-reg-form .guide-reg-panel {
  position: relative;
  height: 100%;
  overflow-y: auto;
  z-index: 1;
}
.guide-reg-form .guide-reg-panel::-webkit-scrollbar {
  width: 2px;
}
.guide-reg-form.has-bg {
  position: relative;
}
.guide-reg-form.has-bg .form-header {
  position: absolute;
  top: 0;
  left: 0;
  z-index: 9;
  height: 60px;
  width: 100%;
}
.guide-reg-form.has-bg:after {
  content: '';
  width: 100%;
  height: 50%;
  background-image: radial-gradient(100% 70% at top left, #c1dbff, rgba(255, 255, 255, 0.5));
  position: absolute;
  left: 0;
  top: 0;
  z-index: 0;
}
.guide-reg-form.has-bg:before {
  content: '';
  width: 100%;
  height: 50%;
  background-image: radial-gradient(100% 70% at bottom right, #c1dbff, rgba(255, 255, 255, 0.5));
  position: absolute;
  right: 0;
  bottom: 0;
  z-index: 0;
}
.guide-reg-form.whatsapp-reg .btn-main {
  background: #009F3B;
  border-color: #009F3B;
}

.m-login-page {
  position: relative;
  overflow: hidden;
}
.m-login-page:after {
  content: '';
  width: 100%;
  height: 50%;
  background-image: radial-gradient(100% 70% at top right, rgba(193, 219, 255, 0.5), rgba(255, 255, 255, 0.5));
  position: absolute;
  right: 0;
  top: 0;
  z-index: 0;
}
.m-login-page:before {
  content: '';
  width: 100%;
  height: 50%;
  background-image: radial-gradient(100% 70% at bottom left, rgba(193, 219, 255, 0.5), rgba(255, 255, 255, 0.5));
  position: absolute;
  left: 0;
  bottom: 0;
  z-index: 0;
}
.m-login-page .m-page-header {
  background-color: transparent;
  border: none;
  position: relative;
  z-index: 1;
}
.m-login-page .page-main {
  position: relative;
  z-index: 1;
}
.m-login-page .form-footer {
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 0;
  margin-top: 30px;
  background: #EDF2FF;
  border-radius: 8px;
  box-shadow: 0 5px 10px rgba(0, 0, 0, 0.1);
  -webkit-box-shadow: 0 5px 10px rgba(0, 0, 0, 0.1);
}
.m-login-page .form-footer .no-tips {
  color: var(--main-color);
  padding: 0 10px;
  display: inline-flex;
  align-items: center;
}
.m-login-page .form-footer .no-tips:before {
  content: '';
  width: 18px;
  height: 18px;
  background-image: url("/static/home/images/tdd/tips.png");
  background-repeat: no-repeat;
  background-position: center center;
  background-size: cover;
}
.m-login-page .form-footer .join-btn {
  color: var(--main-color);
  font-size: 12px;
  font-weight: 600;
  height: 32px;
  padding: 0 20px;
  background-color: #fff;
  border-radius: 8px;
  display: inline-flex;
  align-items: center;
}
.m-login-page .login-type-tabs {
  width: 100%;
  height: 50px;
  padding: 5px;
  border-radius: 8px;
  background-color: #fff;
  box-shadow: 0 5px 10px rgba(0, 0, 0, 0.1);
  -webkit-box-shadow: 0 5px 10px rgba(0, 0, 0, 0.1);
  margin-bottom: 15px;
  display: flex;
  align-items: center;
  justify-content: space-between;
}
.m-login-page .login-type-tabs .item {
  display: inline-flex;
  flex: 1;
  height: 100%;
  font-size: 14px;
  align-items: center;
  justify-content: center;
  color: #333;
}
.m-login-page .login-type-tabs .item.active {
  background: #F1F5FF;
  border: 1px solid var(--main-color);
  border-radius: 8px;
  color: var(--main-color);
  font-weight: bold;
}
.m-login-page .input-code-item {
  position: relative;
}
.m-login-page .input-code-item .form-control {
  width: 100%;
  padding-right: 150px;
}
.m-login-page .input-code-item .send-btn {
  position: absolute;
  right: 2px;
  top: 2px;
  height: calc(100% - 4px);
  background-color: #E0E8FD;
  border-radius: 8px;
  color: var(--main-color);
  border: none;
}
.m-login-page .google-auth-box {
  position: relative;
  display: block;
}
.m-login-page .google-auth-box .google-auth-btn {
  width: 100%;
  height: 40px;
  border: 1px solid #e8e8e8;
  border-radius: 8px;
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 14px;
  color: #333;
  background-color: #fff;
}
.m-login-page .google-auth-box .google-auth-btn:before {
  content: '';
  width: 18px;
  height: 18px;
  margin-right: 10px;
  background-image: url("/static/home/images/google.png");
  background-repeat: no-repeat;
  background-position: center center;
  background-size: cover;
}
.m-login-page .google-auth-box .line {
  padding: 15px 0 10px;
  font-size: 12px;
  color: #999;
  text-align: center;
  position: relative;
}
.m-login-page .google-auth-box .line:after, .m-login-page .google-auth-box .line:before {
  content: '';
  width: 40%;
  height: 0;
  border-bottom: 1px solid #e8e8e8;
  position: absolute;
  top: 50%;
  left: 0;
}
.m-login-page .google-auth-box .line:before {
  left: auto;
  right: 0;
}

@media (max-width: 1500px) {
  .login-page-header {
    width: 100%;
    margin: 0 auto;
    padding: 10px 0 30px;
    margin-bottom: 20px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    position: relative;
  }
  .login-page-header .logo {
    height: 40px;
  }

  .page-content {
    height: calc(100% - 150px);
  }
  .page-content .form-box {
    transform: scale(0.9);
    transform-origin: right top;
  }
  .page-content .form-box .form-login::-webkit-scrollbar {
    width: 2px;
  }
}
.whats-app-input {
  position: relative;
}
.whats-app-input .form-control {
  width: 100%;
  padding-left: 80px;
}
.whats-app-input .select-country {
  position: absolute;
  width: 70px;
  left: 5px;
  top: 2px;
  height: calc(100% - 4px);
  border: none;
}
.whats-app-input .select-country input {
  display: none;
}

.sp_container.tel-prefix-select {
  width: 80px !important;
  border: none !important;
}
.sp_container.tel-prefix-select .sp_input {
  height: 100%;
  border: none;
  background-color: transparent;
  display: block;
}
.sp_container.tel-prefix-select .sp_input.has-val {
  padding-left: 32px;
}
.sp_container.tel-prefix-select .sp_clear_btn {
  display: none;
}
